./databases/ruby-hiera-eyaml [Hiera backend for decrypting encrypted yaml properties]
[+] Add this package to your ports tracker

[ CVSweb ] [ Homepage ] [ RSS feed ]

Version: 3.2.0, Package name: hiera-eyaml-3.2.0
Maintained by: Sebastian Reitenbach
Master sites:
Flavors (export FLAVOR=xyz, setenv FLAVOR xyz):
  • ruby25
  • ruby26
  • ruby27
  • jruby
Description
hiera-eyaml is a backend for Hiera that provides per-value encryption of
sensitive data within yaml files to be used by Puppet.


Filesize: 34.5 KB
Version History (View Complete History)
  • (2020-02-07) Updated to version: hiera-eyaml-3.2.0
  • (2019-11-21) Updated to version: hiera-eyaml-3.1.1
  • (2019-02-07) Updated to version: hiera-eyaml-3.0.0
  • (2016-03-14) Updated to version: hiera-eyaml-2.1.0
  • (2015-04-21) Updated to version: hiera-eyaml-2.0.8
  • (2015-03-20) Updated to version: hiera-eyaml-2.0.7
  • (2015-03-16) Package added to openports.se, version hiera-eyaml-2.0.6 (created)
[show/hide] View available PLISTS (Can be a lot of data)

CVS Commit History:

   2020-02-07 05:52:51 by Sebastian Reitenbach | Files touched by this commit (2)
Log message:
update 3.1.1 -> 3.2.0
   2019-12-05 00:44:10 by Sebastian Reitenbach | Files touched by this commit (2)
Log message:
deconflict with ruby25 flavor
Tried to get rid of the ${GEM_BIN_SUFFIX} from the script, however,
that also requires to get rid of the flavor handling, and would rename
the package as pointed out by jeremy@
I wasn't able to get proper update working even with quirks,
therefore revert back to add the GEM_BIN_SUFFIX
   2019-11-21 02:11:21 by Sebastian Reitenbach | Files touched by this commit (3)
Log message:
Update 3.0.0 -> 3.1.1
while there, get rid of GEM_BIN_SUFFIX from the executable
   2019-07-12 14:44:13 by Stuart Henderson | Files touched by this commit (877)
Log message:
replace simple PERMIT_PACKAGE_CDROM=Yes with PERMIT_PACKAGE=Yes
   2019-02-07 02:49:43 by Sebastian Reitenbach | Files touched by this commit (3)
Log message:
now that there is ruby-optimist new dependency available, update
to 3.0.0
   2016-09-06 05:02:00 by Jasper Lievisse Adriaanse | Files touched by this commit (2)
Log message:
puppet 4 will soon be the default puppet version, so switch these ports to the
matching hiera port.
discussed with and ok sebastia@
   2016-09-06 03:04:48 by Jasper Lievisse Adriaanse | Files touched by this commit (8)
Log message:
drop MODRUBY_REV on these ports; jeremy@ pointed out that with
'CONFIGURE_STYLE=ruby gem' it's not needed and dependant ports will require
the correct flavor/version
   2016-09-05 03:00:08 by Jasper Lievisse Adriaanse | Files touched by this commit (13)
Log message:
force MODRUBY_REV=2.2, partially from jeremy@
   2016-03-14 03:53:14 by Sebastian Reitenbach | Files touched by this commit (3)
Log message:
Update to 2.1.0
   2015-06-24 01:17:41 by Jasper Lievisse Adriaanse | Files touched by this commit (1)
Log message:
tighten dependencies
   2015-04-21 00:39:31 by Sebastian Reitenbach | Files touched by this commit (2)
Log message:
Update to 2.0.8, addressing temp file permissions prolem.
OK jasper@
   2015-03-19 15:15:19 by Sebastian Reitenbach | Files touched by this commit (3)
Log message:
Minor update to 2.0.7
OK jasper@